From 02c9f3cb6d095c50930c223eaeb86c45fdcc42da Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Thu, 20 Apr 2023 23:11:02 +0200
Subject: [PATCH] Follow precedence that tests are built conditionally

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 activities/CMakeLists.txt | 4 +++-
 smb/CMakeLists.txt        | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/activities/CMakeLists.txt b/activities/CMakeLists.txt
index 57756ad65..81749cacf 100644
--- a/activities/CMakeLists.txt
+++ b/activities/CMakeLists.txt
@@ -56,7 +56,9 @@ target_link_libraries(
    Qt::Network
 )
 
-add_subdirectory(autotests)
+if (BUILD_TESTING)
+   add_subdirectory(autotests)
+endif()
 
 # install target (typical /usr/lib64/qtX/plugins/kf5/kio)
 install(
diff --git a/smb/CMakeLists.txt b/smb/CMakeLists.txt
index 66ed5b4ad..1ecf0e66d 100644
--- a/smb/CMakeLists.txt
+++ b/smb/CMakeLists.txt
@@ -117,5 +117,7 @@ if(WITH_SHAREDMIMEINFO)
     update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
 endif()
 
-add_subdirectory(autotests)
+if (BUILD_TESTING)
+    add_subdirectory(autotests)
+endif()
 add_subdirectory(kded)
-- 
2.40.0

